Package org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode

- All Implemented Interfaces:
    `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `Serializable`, `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`
  Enclosing class:
    JBPMMessages.ProcessInstance.NodeInstanceContent

      public static final class JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode
      extends com.google.protobuf.GeneratedMessageV3
      implements JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode`
    `static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry` | Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry`
    `static interface` | `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder` |

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

      `com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

      `com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `MAPENTRY_FIELD_NUMBER` |
    `static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode>` | `PARSER` | Deprecated.
    `static int` | `RULE_FLOW_GROUP_FIELD_NUMBER` |
    `static int` | `TIMER_INSTANCE_ID_FIELD_NUMBER` |

    - ### Fields inherited from class com.google.protobuf.GeneratedMessageV3

      `alwaysUseFieldBuilders, unknownFields`

    - ### Fields inherited from class com.google.protobuf.AbstractMessage

      `memoizedSize`

    - ### Fields inherited from class com.google.protobuf.AbstractMessageLite

      `memoizedHashCode`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `getDefaultInstance()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `getDefaultInstanceForType()` |
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry` | `getMapEntry​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `int` | `getMapEntryCount()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `List<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry>` | `getMapEntryList()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder` | `getMapEntryOrBuilder​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `List<? extends JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder>` | `getMapEntryOrBuilderList()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode>` | `getParserForType()` |
    `String` | `getRuleFlowGroup()` | `optional string rule_flow_group = 3;`
    `com.google.protobuf.ByteString` | `getRuleFlowGroupBytes()` | `optional string rule_flow_group = 3;`
    `int` | `getSerializedSize()` |
    `long` | `getTimerInstanceId​(int index)` | `repeated int64 timer_instance_id = 1;`
    `int` | `getTimerInstanceIdCount()` | `repeated int64 timer_instance_id = 1;`
    `List<Long>` | `getTimerInstanceIdList()` | `repeated int64 timer_instance_id = 1;`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()` |
    `int` | `hashCode()` |
    `boolean` | `hasRuleFlowGroup()` | `optional string rule_flow_group = 3;`
    `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `newBuilder()` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `newBuilder​(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode prototype)` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `newBuilderForType()` |
    `protected JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)` |
    `protected Object` | `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `parseDelimitedFrom​(InputStream input)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `parseFrom​(byte[] data)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `parseFrom​(com.google.protobuf.ByteString data)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `parseFrom​(InputStream input)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `parseFrom​(ByteBuffer data)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode>` | `parser()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `toBuilder()` |
    `void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3

      `canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, isStringEmpty, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

- - ### Field Detail

    - #### TIMER_INSTANCE_ID_FIELD_NUMBER

          public static final int TIMER_INSTANCE_ID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### MAPENTRY_FIELD_NUMBER

          public static final int MAPENTRY_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### RULE_FLOW_GROUP_FIELD_NUMBER

          public static final int RULE_FLOW_GROUP_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### PARSER

          @Deprecated
          public static final com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode> PARSER

      Deprecated.

  - ### Method Detail

    - #### newInstance

          protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

      Overrides:
        `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getTimerInstanceIdList

          public List<Long> getTimerInstanceIdList()

      `repeated int64 timer_instance_id = 1;`
      Specified by:
        `getTimerInstanceIdList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`
      Returns:
        A list containing the timerInstanceId.

    - #### getTimerInstanceIdCount

          public int getTimerInstanceIdCount()

      `repeated int64 timer_instance_id = 1;`
      Specified by:
        `getTimerInstanceIdCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`
      Returns:
        The count of timerInstanceId.

    - #### getTimerInstanceId

          public long getTimerInstanceId​(int index)

      `repeated int64 timer_instance_id = 1;`
      Specified by:
        `getTimerInstanceId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`
      Parameters:
        `index` - The index of the element to return.
      Returns:
        The timerInstanceId at the given index.

    - #### getMapEntryList

          public List<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry> getMapEntryList()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
      Specified by:
        `getMapEntryList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

    - #### getMapEntryOrBuilderList

          public List<? extends JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder> getMapEntryOrBuilderList()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
      Specified by:
        `getMapEntryOrBuilderList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

    - #### getMapEntryCount

          public int getMapEntryCount()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
      Specified by:
        `getMapEntryCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

    - #### getMapEntry

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry getMapEntry​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
      Specified by:
        `getMapEntry` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

    - #### getMapEntryOrBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder getMapEntryOrBuilder​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
      Specified by:
        `getMapEntryOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

    - #### hasRuleFlowGroup

          public boolean hasRuleFlowGroup()

      `optional string rule_flow_group = 3;`
      Specified by:
        `hasRuleFlowGroup` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`
      Returns:
        Whether the ruleFlowGroup field is set.

    - #### getRuleFlowGroup

          public String getRuleFlowGroup()

      `optional string rule_flow_group = 3;`
      Specified by:
        `getRuleFlowGroup` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`
      Returns:
        The ruleFlowGroup.

    - #### getRuleFlowGroupBytes

          public com.google.protobuf.ByteString getRuleFlowGroupBytes()

      `optional string rule_flow_group = 3;`
      Specified by:
        `getRuleFlowGroupBytes` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`
      Returns:
        The bytes for ruleFlowGroup.

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

    - #### writeTo

          public void writeTo​(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

    - #### equals

          public boolean equals​(Object obj)

      Specified by:
        `equals` in interface `com.google.protobuf.Message`
      Overrides:
        `equals` in class `com.google.protobuf.AbstractMessage`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `com.google.protobuf.Message`
      Overrides:
        `hashCode` in class `com.google.protobuf.AbstractMessage`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode parseFrom​(ByteBuffer data)
                                                                                        throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode parseFrom​(ByteBuffer data,
                                                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                        throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode parseFrom​(com.google.protobuf.ByteString data)
                                                                                        throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode parseFrom​(com.google.protobuf.ByteString data,
                                                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                        throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode parseFrom​(byte[] data)
                                                                                        throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode parseFrom​(byte[] data,
                                                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                        throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode parseFrom​(InputStream input)
                                                                                        throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode parseFrom​(InputStream input,
                                                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                        throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode parseDelimitedFrom​(InputStream input)
                                                                                                 throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode parseDelimitedFrom​(InputStream input,
                                                                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                                 throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode parseFrom​(com.google.protobuf.CodedInputStream input)
                                                                                        throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode parseFrom​(com.google.protobuf.CodedInputStream input,
                                                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                        throws IOException

      Throws:
        `IOException`

    - #### newBuilderForType

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder newBuilder()

    - #### newBuilder

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder newBuilder​(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode prototype)

    - #### toBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getDefaultInstance

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode getDefaultInstance()

    - #### parser

          public static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode> parser()

    - #### getParserForType

          public com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`